Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.tool
Class HelpLink

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  com.sun.javatest.tool.HelpLink

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible

Direct Known Subclasses:
  HelpExternalLink

    public class HelpLink

extends javax.swing.JComponent
implements javax.accessibility.Accessible

A lightweight component that will activate online help, suitable for use in More Info help panes. To use this component in More Info, use the following:

        <object classid="java:com.sun.javatest.tool.HelpLink">
        <param  name=... value=...>
        ...
        </object>

The following parameters are recognized:

target
  the help ID that will be displayed when the link is activated
text
  the text string that will be displayed as the body of the link
textFont
  the font used to display the link
textColor
  the color used to display the link

See Also:
  `HelpLinkBeanInfo`, `HelpExternalLink`, Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`static java.lang.String` | `HELPBROKER_FOR_HELPLINK` The name of a property that must be set on the JHelpContentViewer that identifies the HelpBroker that is updated when the link is activated.

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`` | `HelpLink()` Create a HelpLink object.
`protected` | `HelpLink(java.lang.Object o)` A constructor used to specify another MouseListener by subclasses

Method Summary
`javax.accessibility.AccessibleContext` | `getAccessibleContext()` Get the accessible context for this pane.
`java.awt.Dimension` | `getPreferredSize()`
`java.lang.String` | `getTarget()` Get the help ID that will be displayed when the link is activated.
`java.lang.String` | `getText()` Get the text string that will be displayed as the body of the link.
`java.lang.String` | `getTextColor()` Get the color that will be used to display the link.
`java.lang.String` | `getTextFont()` Get the font that will be used to display the link.
`void` | `paintComponent(java.awt.Graphics g)`
`void` | `setTarget(java.lang.String target)` Set the help ID that will be displayed when the link is activated.
`void` | `setText(java.lang.String text)` Set the text string that will be displayed as the body of the link.
`void` | `setTextColor(java.lang.String color)` Set the color that will be used to display the link.
`void` | `setTextFont(java.lang.String font)` Set the font that will be used to display the link.

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getUIClassID, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintImmediately, paintImmediately, paramString, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update, updateUI`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### HELPBROKER_FOR_HELPLINK

    public static final java.lang.String HELPBROKER_FOR_HELPLINK

  The name of a property that must be set on the JHelpContentViewer that identifies the HelpBroker that is updated when the link is activated.

  See Also:
    Constant Field Values

Constructor Detail

### HelpLink

    public HelpLink()

  Create a HelpLink object.

### HelpLink

    protected HelpLink(java.lang.Object o)

  A constructor used to specify another MouseListener by subclasses

  Parameters:
    `o` - fake param - not used

Method Detail

### getAccessibleContext

    public javax.accessibility.AccessibleContext getAccessibleContext()

  Get the accessible context for this pane.

  Specified by:
    `getAccessibleContext` in interface `javax.accessibility.Accessible`
  Overrides:
    `getAccessibleContext` in class `javax.swing.JComponent`
  Returns:
    the accessible context for this pane

### getPreferredSize

    public java.awt.Dimension getPreferredSize()

  Overrides:
    `getPreferredSize` in class `javax.swing.JComponent`

### paintComponent

    public void paintComponent(java.awt.Graphics g)

  Overrides:
    `paintComponent` in class `javax.swing.JComponent`

### getTarget

    public java.lang.String getTarget()

  Get the help ID that will be displayed when the link is activated.

  Returns:
    the help ID that will be displayed when the link is activated
  See Also:
    `setTarget(java.lang.String)`

### setTarget

    public void setTarget(java.lang.String target)

  Set the help ID that will be displayed when the link is activated. The ID must be set before the link is displayed.

  Parameters:
    `target` - the help ID that will be displayed when the link is activated
  See Also:
    `getTarget()`

### getText

    public java.lang.String getText()

  Get the text string that will be displayed as the body of the link.

  Returns:
    the text string that will be displayed as the body of the link
  See Also:
    `setText(java.lang.String)`

### setText

    public void setText(java.lang.String text)

  Set the text string that will be displayed as the body of the link. The text must be set before the link is displayed.

  Parameters:
    `text` - the text string that will be displayed as the body of the link
  See Also:
    `getText()`

### getTextFont

    public java.lang.String getTextFont()

  Get the font that will be used to display the link. The default font is inherited from the context in which the link appears.

  Returns:
    the name of the font that will be used to display the link
  See Also:
    `setTextFont(java.lang.String)`

### setTextFont

    public void setTextFont(java.lang.String font)

  Set the font that will be used to display the link.

  Parameters:
    `font` - the name of font that will be used to display the link
  See Also:
    `getTextFont()`

### getTextColor

    public java.lang.String getTextColor()

  Get the color that will be used to display the link. The default color is blue.

  Returns:
    a string giving the color that will be used to display the link
  See Also:
    `setTextColor(java.lang.String)`

### setTextColor

    public void setTextColor(java.lang.String color)

  Set the color that will be used to display the link.

  Parameters:
    `color` - the name of color that will be used to display the link
  See Also:
    `getTextColor()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2010, Oracle and/or its affiliates. All rights reserved.